package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.common.entity.BaseEntity;

/**
 * 对应数据库表(member_fee_setting):
 */
public class MemberFeeSetting extends BaseEntity {

	/**  */
	private Integer id;
	
	/**  */
	private java.math.BigDecimal currentDayFee;
	
	/**  */
	private java.math.BigDecimal groupPurchaseDayFee;
	
	/**  */
	private java.math.BigDecimal originalDayFee;
	
	/**  */
	private java.math.BigDecimal currentMonthFee;
	
	/**  */
	private java.math.BigDecimal groupPurchaseMonthFee;
	
	/**  */
	private java.math.BigDecimal originalMonthFee;
	
	/**  */
	private java.math.BigDecimal currentQuarterlyFee;
	
	/**  */
	private java.math.BigDecimal groupPurchaseQuarterlyFee;
	
	/**  */
	private java.math.BigDecimal originalQuarterlyFee;
	
	/**  */
	private java.math.BigDecimal currentHalfYearFee;
	
	/**  */
	private java.math.BigDecimal groupPurchaseHalfYearFee;
	
	/**  */
	private java.math.BigDecimal originalHalfYearFee;
	
	/**  */
	private java.math.BigDecimal currentYearFee;
	
	/**  */
	private java.math.BigDecimal groupPurchaseYearFee;
	
	/**  */
	private java.math.BigDecimal originalYearFee;
	
	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setCurrentDayFee(java.math.BigDecimal currentDayFee){
		this.currentDayFee = currentDayFee;
	}
	
	public java.math.BigDecimal getCurrentDayFee(){
		return this.currentDayFee;
	}
			
	public void setGroupPurchaseDayFee(java.math.BigDecimal groupPurchaseDayFee){
		this.groupPurchaseDayFee = groupPurchaseDayFee;
	}
	
	public java.math.BigDecimal getGroupPurchaseDayFee(){
		return this.groupPurchaseDayFee;
	}
			
	public void setOriginalDayFee(java.math.BigDecimal originalDayFee){
		this.originalDayFee = originalDayFee;
	}
	
	public java.math.BigDecimal getOriginalDayFee(){
		return this.originalDayFee;
	}
			
	public void setCurrentMonthFee(java.math.BigDecimal currentMonthFee){
		this.currentMonthFee = currentMonthFee;
	}
	
	public java.math.BigDecimal getCurrentMonthFee(){
		return this.currentMonthFee;
	}
			
	public void setGroupPurchaseMonthFee(java.math.BigDecimal groupPurchaseMonthFee){
		this.groupPurchaseMonthFee = groupPurchaseMonthFee;
	}
	
	public java.math.BigDecimal getGroupPurchaseMonthFee(){
		return this.groupPurchaseMonthFee;
	}
			
	public void setOriginalMonthFee(java.math.BigDecimal originalMonthFee){
		this.originalMonthFee = originalMonthFee;
	}
	
	public java.math.BigDecimal getOriginalMonthFee(){
		return this.originalMonthFee;
	}
			
	public void setCurrentQuarterlyFee(java.math.BigDecimal currentQuarterlyFee){
		this.currentQuarterlyFee = currentQuarterlyFee;
	}
	
	public java.math.BigDecimal getCurrentQuarterlyFee(){
		return this.currentQuarterlyFee;
	}
			
	public void setGroupPurchaseQuarterlyFee(java.math.BigDecimal groupPurchaseQuarterlyFee){
		this.groupPurchaseQuarterlyFee = groupPurchaseQuarterlyFee;
	}
	
	public java.math.BigDecimal getGroupPurchaseQuarterlyFee(){
		return this.groupPurchaseQuarterlyFee;
	}
			
	public void setOriginalQuarterlyFee(java.math.BigDecimal originalQuarterlyFee){
		this.originalQuarterlyFee = originalQuarterlyFee;
	}
	
	public java.math.BigDecimal getOriginalQuarterlyFee(){
		return this.originalQuarterlyFee;
	}
			
	public void setCurrentHalfYearFee(java.math.BigDecimal currentHalfYearFee){
		this.currentHalfYearFee = currentHalfYearFee;
	}
	
	public java.math.BigDecimal getCurrentHalfYearFee(){
		return this.currentHalfYearFee;
	}
			
	public void setGroupPurchaseHalfYearFee(java.math.BigDecimal groupPurchaseHalfYearFee){
		this.groupPurchaseHalfYearFee = groupPurchaseHalfYearFee;
	}
	
	public java.math.BigDecimal getGroupPurchaseHalfYearFee(){
		return this.groupPurchaseHalfYearFee;
	}
			
	public void setOriginalHalfYearFee(java.math.BigDecimal originalHalfYearFee){
		this.originalHalfYearFee = originalHalfYearFee;
	}
	
	public java.math.BigDecimal getOriginalHalfYearFee(){
		return this.originalHalfYearFee;
	}
			
	public void setCurrentYearFee(java.math.BigDecimal currentYearFee){
		this.currentYearFee = currentYearFee;
	}
	
	public java.math.BigDecimal getCurrentYearFee(){
		return this.currentYearFee;
	}
			
	public void setGroupPurchaseYearFee(java.math.BigDecimal groupPurchaseYearFee){
		this.groupPurchaseYearFee = groupPurchaseYearFee;
	}
	
	public java.math.BigDecimal getGroupPurchaseYearFee(){
		return this.groupPurchaseYearFee;
	}
			
	public void setOriginalYearFee(java.math.BigDecimal originalYearFee){
		this.originalYearFee = originalYearFee;
	}
	
	public java.math.BigDecimal getOriginalYearFee(){
		return this.originalYearFee;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
